<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN"><HTML><HEAD><TITLE>80386 Programmer's Reference Manual -- Opcode CLD</TITLE> </HEAD><BODY><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLC.htm"> CLC Clear Carry Flag</A><BR><B>next:</B><A HREF="CLI.htm"> CLI Clear Interrupt Flag</A><P><HR><P><H1>CLD -- Clear Direction Flag</H1><PRE>
Opcode    Instruction     Clocks   Description

FC        CLD             2        Clear direction flag; SI and DI
                                   will increment during string
                                   instructions
</PRE><H2>Operation</H2><PRE>
DF := 0;
</PRE><H2>Description</H2>CLD clears the direction flag. No other flags or registers are affected. After CLD is executed, string operations will increment the index registers (SI and/or DI) that they use.<H2>Flags Affected</H2>DF := 0<H2>Protected Mode Exceptions</H2>None<H2>Real Address Mode Exceptions</H2>None<H2>Virtual 8086 Mode Exceptions</H2>None<P><HR><P><B>up:</B> <A HREF="c17.htm">Chapter 17 -- 80386 Instruction Set</A><BR><B>prev:</B><A HREF="CLC.htm"> CLC Clear Carry Flag</A><BR><B>next:</B><A HREF="CLI.htm"> CLI Clear Interrupt Flag</A> </BODY>